## Index

[ Symbols ], [ Numbers ], [ A ], [ B ], [ C ], [ D ], [ E ], [ F ], [ G ], [ H ], [ I ], [ K ], [ L ], [ M ], [ N ], [ O ], [ P ], [ Q ], [ R ], [ S ], [ T ], [ U ], [ V ], [ W ], [ X ]

Symbols [ Top ]
_ _MSBROWSE _ _ resource entry, 16, 229
. (period)
NetBIOS names and, 14
(see also dot files)
%$ variable, 192

Numbers [ Top ]
127.0.0.1 (localhost), 73
bind interfaces only option, 208

A [ Top ]
%a variable, 143, 192
variable substitution, 191
abort shutdown script option (smb.conf file), 401
Access Control Entries (ACEs), 31, 253
Access Control Lists (see ACLs)
access control options, 287-288
access, controlling (see ACLs; controlling access to shares)
accounts (see computer accounts, adding; users)
ACLs, 30
configuration options, 260-262
inheriting, 416
installing Samba with support for, 495
mapping to Unix permissions, 426
POSIX.1e, 259
support in Samba 2.2, 37
Unix, 259
versus Unix file permissions, 31
Windows NT/2000/XP, 165, 253-262
Active Directory
Samba 2.2, 34, 121
Samba 3.0, 34
server, specifying, 402
time synchronization and, 340
adapters, 69
add machine script option (smb.conf file), 402
add printer command option (smb.conf file), 401
add share command option (smb.conf file), 402
add user script option (smb.conf file), 159, 402
admin users option (smb.conf file), 285, 287, 402
admin users (see root accounts)
administrator (see domain administrator)
ads server option (smb.conf file), 402
AFS (Andrew Filesystem), installing Samba with support for, 495
Albitz, Paul, 383
algorithmic rid base option (smb.conf file), 402
allow hosts option (smb.conf file), 403
allow trusted domains option (smb.conf file), 403
analogX Atomic TimeSync, 340
announce as option (smb.conf file), 234, 403
announce version option (smb.conf file), 235, 403
anonymous
restricting access, 434
(see also guest access)
ANSI C compiler required by Samba source, 44
auth methods option (smb.conf file), 403
authentication
client, 290-296
setting method of, 436
defined, 30
enabling Samba as WINS server, configuration file example, 395
files, specifying where Samba keeps, 497
methods, specifying, 403
overview, 31
pass-through, 33
Samba security levels, 290
Samba's default user-level versus Windows, 74
Windows 95/98/Me, 28
with winbind, 307-319
(see also passwords)
auto services option (smb.conf file), 233, 235, 403
automounting shares, 495
available option (smb.conf file), 403

B [ Top ]
backends (CUPS modules), 332
backup browsers, 27, 226
backup domain controllers (BDCs), 31
Samba 2.2's inability to work with, 122
(see also primary domain controllers)
backups, creating and restoring using smbclient, 172-174
.bak files, 251
.bat files, 138
bind interfaces only option (smb.conf file), 208, 403
bindings, 69
Windows 2000, 100
Windows 95/98/Me, 80
Windows NT, 93
Windows XP, 110
--bindir (configure script option), 48
bitmasks, 176
CIDR format, 208
block size option (smb.conf file), 404
blocking locks option (smb.conf file), 404
b-node (NetBios node type), 13
broadcast
name resolution, 71
versus NBNS name registration, 11
broadcast address, 389
broadcasting, 12
browsable option (smb.conf file), 233, 235, 284, 404
browse list option (smb.conf file), 235, 404
browse lists, 27, 224
invisible shares, 233
printer names, 419
specifying list of shares, 431
specifying shares in, 403, 404
specifying the directory where Samba keeps, 497
synchronizing with all domain master browsers, 411
browse master (see local master browser)
browse server (see local master browser)
browseable option (smb.conf file) (see browsable option (smb.conf file))
browser elections, 28, 226-229, 419
browsers
backup (see backup browsers)
domain master browser (see domain master browser)
local master (see local master browser)
browsing, 216, 224-239
a list of computers and shared resources, defined, 26
configuring Samba for, 229
cross-subnet, 231
in a Windows network, 224-229
invisible shares, 233
options, 233-239
overview, 26-28
server from the client, 382
shared resource of a specific computer, 26
troubleshooting problems, 377-383
Browsing and Windows 95 Networking and CIFS/E Browser Protocol, 229
BROWSING.txt and BROWSING-Config.txt, 229
BSD Unix
automatically starting Samba daemons, 61
printers, 330-331

C [ Top ]
caching policy, client-side, 406
case sensitive option (smb.conf file), 265, 404
case sensitivity, 262-267
how Samba handles, 264
preserving case of filename, 431
casesignames option (smb.conf file), 404
change notification, 354
change notify timeout option (smb.conf file), 354, 405
change share command option (smb.conf file), 405
character set option (smb.conf file), 344, 405
character sets, translating, 405
checking (message from configure script), 48
CIDR format bitmask, 208
CIFS, 21
Unix extensions, 37, 442
(see also SMB)
CIFS Technical Reference, 20
client code page option (smb.conf file), 344, 405
clustered environment, Samba in, 437
(see also multihomed system; multiple subnets), 437
.cmd files, 138
code page directory option (smb.conf file), 405
code pages, 344
coding system option (smb.conf file), 345, 405
command-line options, parsing, 495
comment option (smb.conf file), 203, 406
Common Internet File System (see CIFS)
compiling Samba, 49-52
components, Windows, 69
comp.protocols.smb newsgroup, 392
computer accounts, adding, 126
computer names
name resolution (see name resolution)
Windows 2000, 103
Windows 95/98/Me, 81
Windows NT, 93
Windows XP, 113
computers, adding to domains, 402
Concurrent Versions System (CVS), 491
config file option (smb.conf file), 196, 406
config.log file, 49
config.pol file, 155
config.status file, 51
configuration file
Samba's main (see smb.conf file)
selecting new, 406
variables (see smb.conf file, variables)
(see also configuring Samba)
configuration management tool (see CVS)
configuration value types, 448-449
configure script, 46
options, 493-499
--bindir, 48
--datadir, 48
--eprefix, 48
--include dir, 48
--infodir, 48
--libdir, 48
--libexec dir, 48
--mandir, 48
--prefix, 48
--sbindir, 48
with feature, 47
--with-acl-support, 495
--with-afs, 495
--with-automount, 495
--with-codepagedir, 495
--with-configdir, 495
--with-dce-dfs, 495
--with-fhs, 495
--with-included-popt, 495
--with-krb4, 495
--with-krb5, 495
--with-ldapsam, 496
--with-libiconv, 496
--with-libsmbclient, 496
--with-lockdir, 496
--with-logfilebase, 496
--with-manpages-langs, 496
--with-msdfs, 47, 496
--with-nisplus-home, 496
--with-nisplussam, 496
without feature, 47
--with-pam, 497
--with-pam_smbpass, 497
--with-piddir, 497
--with-privatedir, 497
--with-profiling-data, 497
--with-quotas, 497
--with-readline, 497
--with-sendfile-support, 497
--with-smbmount, 47, 498
--with-smbwrapper, 47, 498
--with-spinlocks, 498
--with-ssl, 498
--with-sslinc, 498
--with-ssllib, 498
--with-swatdir, 498
--with-syslog, 498
--with-tdbsam, 498
--with-utmp, 498
--with-winbind, 499
sample execution, 48
configuring Samba, 46-49
configuration file (see smb.conf file)
for browsing, 229
for installation (see configure script)
for roaming profiles, 143-147
identifying options used in previous installations, 51
troubleshooting problems (see troubleshooting Samba, fault tree)
connection scripts, 274-277
monitoring directory contents, 275
options, 275-277
connections
denying, 409
specifying time limits for unused, 407
controlling access to shares, 285-288
copy option (smb.conf file), 197, 406
Core and Core Plus, 20
create mask option (smb.conf file), 248, 250, 406
create mode option (smb.conf file), 284, 406
creating (message from configure script), 48
creation masks, 247-250
csc policy option (smb.conf file), 406
CVS (Concurrent Versions System), 491

D [ Top ]
%d variable, 192
daemons (see inetd daemon; nmbd daemon; smbd daemon; xinetd daemon)
Darwin, automatically starting Samba daemons, 64
.dat files
changing to .man files, 150
NTUSER.DAT, 141
USER.DAT, 141
--datadir (configure script option), 48
datagram primitives, 17
datagram services, defined, 10
datagram services (NBT)
defined, 16
tips, 18
deadtime option (smb.conf file), 349, 407
debug hires timestamp option (smb.conf file), 407
debug pid option (smb.conf file), 407
debug timestamp option (smb.conf file), 214, 407
debug uid option (smb.conf file), 407
debuglevel option (smb.conf file), 407
default case option (smb.conf file), 264, 265, 408
default device mode, setting, 408
default devmode option (smb.conf file), 408
default option (smb.conf file), 407
default service option (smb.conf file), 236, 408
defending the hostname, 12
delete printer command option (smb.conf file), 408
delete readonly option (smb.conf file), 250, 251, 408
delete share command option (smb.conf file), 408
delete user script option (smb.conf file), 159, 409
delete veto files option (smb.conf file), 241, 245, 409
deny hosts option (smb.conf file), 409
dfree command option (smb.conf file), 350, 409
Dfs (Microsoft's Distributed filesystem), 277-280
configuring Samba as Dfs server, 278-279
installing Samba with support for, 496
providing services, 415
support in Samba 2.2, 36
Windows clients, 278
DHCP and IP addresses, 70
DIAGNOSIS.txt, 359
dig command (Unix), 73
Digital Pathworks clients, 353
directories
caching for performance, 414
connecting to drive letter, 138
creating on the Samba server, 125
deleting when vetoed files are present, 241, 409
home, setting, 420
monitoring contents, 275
setting maximum allowable permissions, 409
setting paths, 409
directory mask option (smb.conf file), 249, 251, 409
directory mode option (smb.conf file), 284, 410
directory option (smb.conf file), 409
directory permissions, 416
options, 250-253
directory recursion, 171
directory security mask option (smb.conf file), 261, 262, 410
disable spools option (smb.conf file), 410
disk services, example of sharing, 4-7
disk share configuration, 201-203
disk-quota support, 497
Distributed Computing Environment Distributed Filesystem (DCE/DFS), 495
Distributed filesystem (see Dfs)
dmask option, 176
DNS, 70
configuration
Windows 2000, 101
Windows 95/98/Me, 79
Windows NT, 92
Windows XP, 111
NetBIOS names
translating between DNS names and, 182
versus hostnames versus, 14
overview, 73
servers, name resolution and, 217
DNS proxy, configuring on WINS server, 220
dns proxy option (smb.conf file), 220, 223, 410
documentation, Samba, 45, 391
domain admin group option (smb.conf file), 160, 410
domain administrator, 126, 410
Domain Admins group, 410
domain controllers, 30
backup (see backup domain controllers)
primary (see primary domain controllers)
Domain Guest group, 410
domain guest group option (smb.conf file), 410
domain logons
configuring Windows clients for, 128-137
Windows 2000, 133-135
Windows 95/98/Me, 128-131
Windows complains that you are already logged on, 129
Windows NT, 131-133
Windows XP Professional, 135-137
domain logons option (smb.conf file), 159, 410
domain master browser, 35, 226
configuring Samba as both local master browser and, 124
forcing Samba to be, 237, 411
problems with, 35
Samba as, 230
synchronizing browse lists with all, 411
verifying Samba as, 231
domain master option (smb.conf file), 159, 237, 411
domain member server, 34
Samba as, 156-157
smb.conf file example, 400
domain membership, 126
Domain Name System (see DNS)
domain-level security, 291, 296
domains
adding computers to, 402
advantages of, 120
more information on how to set up, 122
trust relationships, 33
trusted, 403
(see also Windows NT domain options)
dont descend option (smb.conf file), 241, 243, 411
dos filemode option (smb.conf file), 411
dos filetime resolution option (smb.conf file), 342, 411
dos filetimes option (smb.conf file), 341, 411
dos2unix command, 170
dot files, 240
hiding, 414
(see also hiding files)
drive letter, connecting a directory to, 6, 138

E [ Top ]
emacs text editor, 139
encrypt passwords option (smb.conf file), 304, 411
encrypted passwords
disabling, 298
managing, 483
(see also smbpasswd program)
smb.conf file and, 55
(see also passwords)
enhanced browsing option (smb.conf file), 411
enumports command option (smb.conf file), 412
environment variables, forcing Samba to read list of, 437
--eprefix (configure script option), 48
error messages from configure script, 48
/etc/fstab file, warning about editing, 177
/etc/group, 283
/etc/hosts file, 70
/etc/nsswitch.conf file, 71
/etc/passwd file, creating entries manually, 127
/etc/printcap.local file, 330
/etc/resolv.conf file, 73, 220
Ethereal (SMB sniffer), 20, 361
exec option (smb.conf file), 412
executable file permission bit, 248
ext2/ext3 filesystem, 37

F [ Top ]
fake directory create times option (smb.conf file), 342, 412
fake oplocks option (smb.conf file), 273, 412
FAQs, Samba, 391
fault tree, troubleshooting Samba, 362-391
file locking (see locks and oplocks)
file permissions
executable bit, 248
on MS-DOS and Unix, 245-253
options, 250-253
setting in Windows NT/2000/XP, 165
setting maximum allowable, 406
Unix permission bits summary, 247
Unix permissions versus ACLs, 31
versus ACLs, 31
file transfer using smbclient, 170
filenames
conventions, 262
(see also name mangling)
representing and resolving in Samba, 264
Filesystem Hierarchy Standard, 495
filesystem options, 243-245
findsmb program, 40, 455
firewall configuration, 60
fmask option (sbmount), 176
follow symlinks option (smb.conf file), 242, 243, 412
force create mode option (smb.conf file), 251, 412
force directory mode option (smb.conf file), 251, 413
force directory security mode option (smb.conf file), 262, 413
force group option (smb.conf file), 249, 251, 413
force security mode option (smb.conf file), 261, 413
force unknown acl user option (smb.conf file), 413
force user option (smb.conf file), 249, 251, 413
Frisch, Æleen, 325
fstab file, warning about editing, 177
fstype option (smb.conf file), 350, 413

G [ Top ]
%G variable, 192
%g variable, 192
gcc binaries, 44
get command, 170
getwd cache option (smb.conf file), 243, 414
[global] section (smb.conf file), 193
GNU configure script (see configure script)
GNU Free Documentation License, 511-518
Google, 392
group ID (GID), 31
group option (smb.conf file), 414
grouppol.inf file, 153
groups
additional information, 16
overriding a user's normal group membership, 413
setting a group share in smb.conf file, 283
system group file, 283
(see also workgroups; SMB, groups)
guest access, 286
guest account option (smb.conf file), 286, 288, 414
guest ok option (smb.conf file), 286, 414
guest only option (smb.conf file), 288, 414

H [ Top ]
%H variable, 192, 283
%h variable, 192
hide dot files option (smb.conf file), 240, 244, 414
hide files option (smb.conf file), 241, 244, 414
hide local users option (smb.conf file), 415
hide unreadable option (smb.conf file), 415
hiding files, 240-242
h-node (NetBios node type), 13
home directory, setting, 420
homedir map option (smb.conf file), 281, 415
[homes] share (smb.conf file), 125, 194, 233, 284
peculiarities with, 284
host msdfs option (smb.conf file), 280, 415
hostname, defending, 12
hosts allow option (smb.conf file), 204-207, 415
hosts deny option (smb.conf file), 204-207, 415
hosts equiv option (smb.conf file), 307, 415
HOSTS file, 70, 74
hosts.sam file, 74
Hunt, Craig, 87

I [ Top ]
%I variable, 192
iconv( ) function, 496
ifconfig command, 390
Implementing Policies and Profiles for Windows NT 4.0, 141
--include dir (configure script option), 48
include option (smb.conf file), 193, 197, 416
inetd daemon, 53
starting smbd and nmbd daemons, 66
--infodir (configure script option), 48
inherit acls option (smb.conf file), 416
inherit permissions option (smb.conf file), 253, 416
.ini files, 187
installation directories for Samba, 50
installing Samba, 49-52
on a Unix system, 42-67
ANSI C compiler required by Samba source, 44
binary versus source, 43
bundled versions, 42-45
configuration (see configure script)
source, overview of steps, 44
troubleshooting problems (see troubleshooting Samba, fault tree)
interfaces list, 403
interfaces option (smb.conf file), 207, 416
internationalization, 343-346
features of Samba 2.2, 456
installing Samba with support for, 495
invalid users option (smb.conf file), 284, 285, 287, 416
invalid users, specifying list of, 285
IP addresses, 70
127.0.0.1 (localhost), 73
bind interfaces only option, 208
translating between NetBIOS names and, 182
Windows 2000, 100
Windows 95/98/Me networks, 78
Windows NT, 90
Windows XP, 111
IPC$ password, 75
ipconfig /all command (Windows NT/2000/XP), 13
ipconfig command, 390

K [ Top ]
keepalive option (smb.conf file), 351, 416
Kerberos authentication, 38
installing Samba with support for, 495
Samba 2.2 and, 121
time synchronization and, 340
kernel oplocks option (smb.conf file), 272, 417

L [ Top ]
%L variable, 140, 144, 192
LAN Manager host announcements, 236
LAN Manager versions 1.0, 2.0, and 2.1, 20
lanman auth option (smb.conf file), 417
large readwrite option (smb.conf file), 417
LDAP, 34, 38
installing Samba with support for, 496
Samba 2.2 and, 121
ldap admin dn option (smb.conf file), 417
ldap filter option (smb.conf file), 417
ldap port option (smb.conf file), 417
ldap server option (smb.conf file), 418
ldap ssl option (smb.conf file), 418
ldap suffix option (smb.conf file), 418
level2 oplocks option (smb.conf file), 272, 418
--libdir (configure script option), 48
--libexec dir (configure script option), 48
libnss_winbind.so library, 309
Linux-PAM System Administrator's Guide, 314
Liu, Cricket, 383
lm announce option (smb.conf file), 236, 418
lm interval option (smb.conf file), 237, 418
LMHOSTS file, 72
name resolution and, 218
Windows 2000, 102
Windows 95/98/Me, 80
Windows NT, 92
Windows XP, 112
load balancing and Dfs, 277, 279
load printers option (smb.conf file), 336, 419
local master browser, 27, 224
configuring Samba as both domain master browser and, 124
local master option (smb.conf file), 230, 236, 419
local profiles, 141
localhost address (see 127.0.0.1 (localhost))
lock dir option (smb.conf file), 419
lock directory option (smb.conf file), 274, 419
lock spin count option (smb.conf file), 419
lock spin time option (smb.conf file), 419
locking files (see locks and oplocks)
locking option (smb.conf file), 271, 419
locks and oplocks, 268-274
advanced tuning parameter, 428
release an oplock, 427
configuration options, 270-274
oplock failure, 269
opportunistic locking process, 268
setting file locking, 419
specifying directory where Samba keeps lock files, 496
spin locks, 498
Unix and oplocks, 270
log file option (smb.conf file), 213, 356, 419
log files, 67
changing timestamps, 407
example, 210
levels of logging, 356-358
nmbd, 231
sample output of levels 2 and 3, 356
setting location of, 419
setting maximum size, 423
specifying the directory where Samba keeps, 496
troubleshooting with, 356-359
(see also logging)
log level option (smb.conf file), 213, 420
logging
activating and deactivating, 358
adding process ID, 407
configuration options, 210-215
debugging particular user, 407
(see also log files)
login parameters, setting, 24
logon drive option (smb.conf file), 151, 420
logon home line (smb.conf file), 144
logon home option (smb.conf file), 152, 420
logon path line (smb.conf file), 144
logon path option (smb.conf file), 151, 420
logon path, supporting roaming profiles for Windows NT/2000/XP clients, 124
logon script option (smb.conf file), 151, 420
logon scripts, 120, 137-140
checking the format, 139
creating, 138-140
more information regarding, 140
options, 150
using variables inside, 139
logon.bat, 138
log.smb file, 67
lpadmin command (Unix), 333
lppause command option (smb.conf file), 336, 420
lppause command (Unix), 323
lpq cache time option (smb.conf file), 335, 420
lpq command option (smb.conf file), 336, 421
lpq command (Unix), 323
lpr command (Unix), 322
lpresume command option (smb.conf file), 336, 421
lpresume command (Unix), 323
lprm command option (smb.conf file), 336, 421
lprm command (Unix), 323

M [ Top ]
%M variable, 192
%m variable, 140, 143, 192
Mac OS X
automatically starting Samba daemons, 64
configuration details, 506-509
enabling SMB printer sharing, 325
monitoring services, 505
Password Server, 504
activating, 504
enabling, 505
smbutil and mount_smbfs, 184-186
Mac OS X Server
configuration settings, 508
configuring and activating services, 503
running Samba on, 500-510
sharing files, 501
sharing printers, 501
Mac OS X Server Administrator's Guide, 500
machine password timeout option (smb.conf file), 160, 421
magic output option (smb.conf file), 343, 421
magic script option (smb.conf file), 343, 421
magic scripts, 342
mailing lists, Samba, 392
archives, 45
make install command (Unix), 50
upgrading installations, 52
make revert command (Unix), 50
make utility (Unix), 49
makefile, generating for Samba configuration, 46
make_smbcodepage program, 40, 456
make_unicodemap program, 40, 456
.man files, changing from .dat files, 150
man pages (see manual pages)
managing connections to shares (see connection scripts)
mandatory profiles, 149
changing from roaming profiles, 150
--mandir (configure script option), 48
mangle case option (smb.conf file), 267, 421
mangled map option (smb.conf file), 267, 422
mangled names option (smb.conf file), 266, 422
mangled stack option (smb.conf file), 267, 422
mangling char option (smb.conf file), 267, 422
mangling method option (smb.conf file), 422
MANPATH environment variable, 52
manual pages, 52
in different languages, 496
map archive option (smb.conf file), 247, 252, 422
map hidden option (smb.conf file), 247, 252, 422
map system option (smb.conf file), 247, 252, 422
map to guest option (smb.conf file), 423
mapping a free-form client username to a Unix username, 289
mapping a network drive (see drive letter, connecting a directory to)
master browser (see local master browser)
max connections option (smb.conf file), 288, 423
max disk size option (smb.conf file), 351, 423
max log size option (smb.conf file), 213, 423
max mux option (smb.conf file), 351, 423
max open files option (smb.conf file), 423
max open files (smb.conf file), 351
max print jobs option (smb.conf file), 424
max protocol option (smb.conf file), 424
max smbd processes option (smb.conf file), 424
max ttl option (smb.conf file), 224, 424
max wins ttl option (smb.conf file), 224, 424
max xmit option (smb.conf file), 352, 424
message command option (smb.conf file), 348, 424
messenger service, 346-348
mget command, 170
Microsoft Distributed filesystem (see Dfs)
min passwd length option (smb.conf file), 425
min password length option (smb.conf file), 425
min print space option (smb.conf file), 338, 425
min protocol option (smb.conf file), 425
min wins ttl option (smb.conf file), 224, 425
m-node (NetBios node type), 13
mount_smbfs program, 161, 182
options, 183
mput command, 170
msdfs root option (smb.conf file), 280, 425
MS-DOS file permissions, 245-253
MSN Messenger, 346-348
multihomed system
running Samba on, 204
(see also clustered environment, Samba in; multiple subnets)
multiple subnets
cross-subnet browsing, 232
with Samba servers, 232
(see also clustered environment, Samba in; multihomed system)
My Network Places, 26
(see also Network Neighborhood)

N [ Top ]
%N variable, 192
name mangling, 262-267
how Samba mangles a long filename into a 8.3 filename, 263
options, 265-267, 421
name registration, 11-13
name resolution, 11-13, 70, 216-224
broadcast method, 71
configuring in Samba, 219
methods, 217
using broadcast packets, 217
name resolve order option (smb.conf file), 219, 223, 425
name services
defined, 10
identifying what's in use, 383
switching, 71
troubleshooting, 383-388
name-resolution configuration options, 221-224
NBNS name registration
versus broadcast, 11
NBT, 10, 69
services, 16
NBT Standard, 10
nbtstat utility, 228
examples, 14, 15
net program, 40, 457-462
net time command, 138, 339
net use command, 138, 144
testing connections with, 374
net view program, 225
testing client browsing, 381
NetBEUI protocol, 10
running at same time as NetBIOS over TCP/IP, 69
NetBIOS
group resource types, 16
names
translating between IP address or DNS names and, 182
troubleshooting, 390
versus DNS hostnames, 14
node types, 13
overview, 9
resource names and types, 14
session, establishing, 22
unique resource types, 15
Windows 95/98/Me, 80
netbios aliases option (smb.conf file), 209, 426
netbios name option (smb.conf file), 200, 426
NetBIOS over TCP/IP (see NBT)
netbios scope option (smb.conf file), 426
[netlogon] share (smb.conf file), 125, 138, 233
netmask, using to troubleshoot, 388
network adapters, 69
network addresses
finding your specific address, 390
troubleshooting, 388-390
Network Information Service (see NIS)
Network Neighborhood, 27
(see also My Network Places)
Network Time Protocol (NTP), 340
network traffic, monitoring (see tcpdump program)
networking
components
Windows 2000, 99
Windows XP, 109
concepts, Windows (see Windows, networking concepts)
options, 204-208
new features
in Samba 2.2, 36
in Samba 3.0, 38
news, Samba, 45
newsgroups, Samba, 391
NFS, installing Samba with support for, 495
NIS+
installing Samba with support for, 496
server, installing Samba with support for locating, 496
nis homedir option (smb.conf file), 281, 426
NIS (Network Information Service), 71, 280
configuration options, 280
server, 30
nmake command, 412
nmap command (Unix), 73
nmbd daemon, 3, 39, 61, 453
starting automatically, 61-65
BSD Unix, 61
Darwin and Mac OS X, 64
System V Unix, 61
starting from inetd, 66
starting manually, 61
testing, 66
automatic startup, 65
time service, 442
nmbd log file, 231
nmblookup program, 40, 229, 231, 462
testing clients, 380
testing network, 381
testing servers, 379
nobody account, 286
node types, 13
non unix account range option (smb.conf file), 426
nslookup command (Unix), 73
nsmb.conf file, 181
.nsmbrc files, 181
nsswitch, configuring, 309
nsswitch.conf file, 71
nt acl support option (smb.conf file), 260, 426
NT LAN Manager 1.0, 21
nt pipe support option (smb.conf file), 352, 426
nt smb support option (smb.conf file), 352, 427
nt status support option (smb.conf file), 427
ntconfig.pol file, 155
NT-specific SMB IPC$ pipes, 352
NTUSER.DAT file, 141
null passwords option (smb.conf file), 306, 427
number of address ranges, 389

O [ Top ]
obey pam restrictions option (smb.conf file), 427
od command, 139
.old files, 50
ole locking compatibility (smb.conf file), 352
only guest option (smb.conf file), 427
only user option (smb.conf file), 293, 427
Open Directory Password Server, 504
oplock break wait time option (smb.conf file), 427
oplock contention limit option (smb.conf file), 428
oplocks option (smb.conf file), 272, 428
opportunistic locking (see locks and oplocks)
os level option (smb.conf file), 230, 238, 428
os2 driver map option (smb.conf file), 428
overwriting files (see locks and oplocks)

P [ Top ]
%P variable, 192
%p variable, 192
padc command, 359
pam password change option (smb.conf file), 428
PAM (Pluggable Authentication Modules), 38
configuring, 313-317
pam_stack.so module, 316
pam_winbind.so module, 316
panic action option (smb.conf file), 352, 428
par command, 359
passdb backend option (smb.conf file), 429
pass-through authentication, 33
passwd chat debug option (smb.conf file), 305, 429
passwd chat option (smb.conf file), 301, 305, 429
PASSWD environment variable, 167
passwd file, creating entries manually, 127
passwd program option (smb.conf file), 305, 429
password chat response characters, 302
password chat send characters, 302
password level option (smb.conf file), 305, 429
Password Server (Mac OS X), 504
activating, 504
enabling, 505
password server option (smb.conf file), 160, 295, 429
passwords, 74, 296-307
adding to smb.conf file, 75
configuration options, 303-307
disabling encrypted, 298
encrypted (see encrypted passwords)
IPC$, 75
limiting length of, 425
plain-text versus encrypted, 74
setting on Windows 95/98/Me, 83
setting servers that validate, 429
synchronization, 300-303
Windows versus Unix, 29
(see also authentication)
PATH environment variable, 52
path option (smb.conf file), 202, 430
pdbedit program, 40, 464
PDC emulator, 121
PDCs (see primary domain controllers)
Pearce, Eric, 16, 160
performance, caching directories, 414
period (.)
NetBIOS names and, 14
(see also dot files)
permissions
mapping to Windows NT ACLs, 426
(see also file permissions; directory permissions)
pid directory option (smb.conf file), 430
PIDs, adding to log lines, 407
ping, troubleshooting with, 363-367
Pluggable Authentication Modules (see PAM)
p-node (NetBios node type), 13
point-to-point communication, 12
policies, defined, 120
port names, customized, 412
POSIX ACL support, 416
posix locking option (smb.conf file), 272, 430
POSIX.1e ACLs, 259
postexec option (smb.conf file), 277, 430
postscript option (smb.conf file), 335, 430
preexec close option (smb.conf file), 277, 430
preexec option (smb.conf file), 274, 276, 430
preferred master option (smb.conf file), 237, 431
preferred master parameter (smb.conf file), 230
--prefix (configure script option), 48
preload option (smb.conf file), 235, 431
preserve case option (smb.conf file), 264, 266, 431
preventing file overwrites (see locks and oplocks)
primary domain controllers (PDCs), 31, 226
handling authentication (see winbind)
modifying smb.conf file, 122-125
Samba as, 121-126
smb.conf file example, 397-399
primary WINS server, 32
synchronization problems with Samba 2.2, 33
print command option (smb.conf file), 322, 336, 431
print commands, 321
print jobs
deleting, 421
limiting number of, 424
pausing, 420
resuming, 421
sending over Samba, 321
print ok option (smb.conf file), 433
printable option (smb.conf file), 323, 335, 431
printcap file, 419
example, 336
printcap name option (smb.conf file), 338, 431
printcap option (smb.conf file), 338
printcap.local file, 330
printer admin option (smb.conf file), 432
printer driver file option (smb.conf file), 432
printer driver location option (smb.conf file), 432
printer driver option (smb.conf file), 432
printer name option (smb.conf file), 335, 432
printer option (smb.conf file), 335, 432
printer status, setting command for, 421
printers
adding new to system, 401
BSD, 330-331
CUPS, 332
example of sharing, 8
names in browse lists, 419
removing from system, 408
sending files using smbclient, 325
setting default device mode, 408
setting up from Windows, 8
sharing, 320
on Mac OS X, 501
System V, 331
(see also printing)
[printers] share (smb.conf file), 195, 324
example for a Linux system, 324
printing, 320-338
adding a Unix printer, 330-333
common problem with Samba printer configuration, 325
CUPS-compatible, 486
debugging printers, 325
Mac OS X environment, 325
network, 320
options, 333-338
setting up and testing a Windows client, 326
shares
example, 322
important information about, 323
system types, 334
testing the configuration, 325
to Windows from Unix, 327-338
variables, 322
(see also printers)
printing option (smb.conf file), 334, 432
private directory option (smb.conf file), 433
process IDs, adding to log lines, 407
processes, viewing in Unix, 8
[profiles] share (smb.conf file), 125
prompt command, 171
protocol option (smb.conf file), 433
ps command (Unix), 8
looking for daemon processes with, 368
public option (smb.conf file), 433
put command, 170
.pwl files, 29

Q [ Top ]
queuepause command option (smb.conf file), 338, 433
queueresume command option (smb.conf file), 338, 433

R [ Top ]
%R variable, 192
read bmpx option (smb.conf file), 433
read list option (smb.conf file), 286, 288, 433
read only option (smb.conf file), 203, 434
read raw option (smb.conf file), 434
read size option (smb.conf file), 434
readline( ) support, 497
read-only access, specifying users, 433
realm option (smb.conf file), 434
reconfiguring Samba, 52
recurse command, 171
registry files, 141
settings and passwords, 74
relative identifier (RID), 30
remote announce option (smb.conf file), 232, 238, 434
remote browse sync option (smb.conf file), 238, 434
remote logons (see roaming profiles)
resolv.conf file, 73, 220
resource names and types (NetBIOS), 14
restrict anonymous option (smb.conf file), 434
roaming profiles, 120, 140-152
changing to mandatory profiles, 150
configuring
Samba for, 143-147
Windows 95/98/Me for, 147
Windows NT/2000/XP for, 148
defining a logon path for Windows NT/2000/XP clients, 124
definitive documentation, 141
how they work, 141
options, 150
possible problems, 142
restricting users from editing their own, 149
setting path to directory (Windows NT/2000/XP), 420
smb.conf file, 138
Temporary Internet Files folder, 143
time synchronization, 339
users logged onto multiple clients, 142
warning, 141
(see also mandatory profiles)
root access, 285
root accounts
adding root user to Samba's password database, 126
(see also domain administrator)
specifying users with root permissions, 402
root dir option (smb.conf file), 435
root directory option (smb.conf file), 435
root option (smb.conf file), 435
root postexec option (smb.conf file), 277, 435
root preexec close option (smb.conf file), 276, 435
root preexec option (smb.conf file), 275, 276, 435
roving profiles (see roaming profiles)
rpcclient commands, 467-470
rpcclient program, 40, 465
rpm command (Unix), 43

S [ Top ]
%S variable, 192
SAM (Security Account Manager), 30
database, 126
Samba
advantages of using, 3
allowing outside applications to access Samba features, 496
compiling (see compiling Samba)
configuration file (see smb.conf file)
configuring (see configuring Samba)
defined, 2
distribution, overview, 39
as domain member server, 34
downloading, 45
examples
sharing a printer, 8
sharing disk service, 4-7
simple network, 4
in a clustered environment, 437
(see also multihomed system; multiple subnets), 437
installing (see installing Samba)
manual pages, 52
in different languages, 496
obtaining, 41
overview, 1-41
running on a multihomed system, 204
troubleshooting (see troubleshooting Samba)
upgrading installations, 51
variables (see smb.conf file, variables)
web site, 41
Samba 2.2
in a domain hosted by native mode Windows 2000 server, 34
issues with Active Directory, 34, 121
new features, 36
Samba 3.0
new features, 38
obsolete options
blocksize, 404
character set, 405
client code page, 405
code page directory, 405
coding system, 405
domain guest group, 410
force unknown acl user, 413
ldap admin dn, 417
ldap filter, 417
ldap port, 417
ldap server, 418
ldap ssl, 418
ldap suffix, 418
nt smb support, 427
related to SSL, 438-440
status, 440
unix extensions, 442
userhosts, 443
valid chars, 444
roles, 38
Samba server
adding to workgroup, configuration file example, 396
connecting from
Windows 2000, 107
Windows 95/98/Me, 84
Windows NT, 96
Windows XP, 116
connection listings (see smbstatus program)
creating directories on, 125
restarting, 126
sending a print job, 321
services, 2
Samba Web Administration Tool (see SWAT)
Samba-BDC-HOWTO.html, 122
Samba-PDC-HOWTO.html, 122
Samba's NT LM 0.12, 21
SASL (Simple Authentication and Security Layer) standard, 504
--sbindir (configure script option), 48
scope ID (SMB packet), 16
search paths, setting, 52
secrets.tdb file, 156
security
Samba security levels
domain (see domain-level security)
server (see server-level security)
share (see share-level security)
user (see user-level security)
user-level for Windows 95/98/Me, 129
(see also authentication)
Security Access Token (SAT), 31
Security Account Manager (SAM), 30
security identifiers (SIDs), 30
security issues
creating entries for /etc/passwd and smbpasswd manually, 127
disabling oplocks in smb.conf file, 58
security mask option (smb.conf file), 261, 436
security models, Unix versus Windows, 253
security option (smb.conf file), 291, 436
sendfile( ) system call, 497
server announcements, 229
Server Message Block (SMB) protocol (see SMB)
server string option (smb.conf file), 200, 436
server-level security, 291, 295
session parameters, setting, 24
session primitives, 17
session service, defined, 10
session services (NBT)
defined, 16
tips, 18
set directory option (smb.conf file), 353, 436
share modes option (smb.conf file), 436
share-level security, 290
options, 293
versus user-level security, 162
shares
adding new, 402
allowing and denying, 415
copying configurations, 406
deleting, 408
denying access to, 403
invisible, 233
managing connections to (see connection scripts)
modifying, 405
printers, setting default device mode, 408
sections in smb.conf file, 125
setting maximum number, 423
specifying in browse lists, 403, 404, 431
specifying systems that may connect to, 403
sharing
disk services example, 4-7
files
Mac OS X, 501
Windows 95/98/Me, 162
Windows NT/2000/XP, 163, 165
printers (see printers, sharing)
Sharpe, Richard, 19
short preserve case option (smb.conf file), 264, 266, 436
show add printer wizard option (smb.conf file), 437
shutdown script option (smb.conf file), 437
SIDs (security identifiers), 30
SMB, 2
CIFS and, 21
clients, 21
command format, 19
connections, troubleshooting, 371-377
groups, 15
header fields, 19
header format, 19
message format, 19
network, overview, 9-18
online summary, 19
packets, 16
protocol
additional information, 20
negotiating a protocol variant, 22
overview, 18-26
versions, 20
servers, 21
simple connection, 22
smb passwd file option (smb.conf file), 306, 437
SMB sniffer (Ethereal), 20
smbcacls program, 40, 470
smbclient commands, 168
smbclient program, 40, 67, 161, 165-174, 472-478
authenticating with, 167
compared to smbfs and smbsh, 165
creating and restoring backups, 172-174
file transfer, 170
interactive session, 168-171
listing services, 165
programming with, 171
security and, 168
sending a file to the printer, 325
testing
browsing, 377
connections with, 373
locally with, 372
smb.conf file, 187-215
adding user passwords, 75
bracketed names, 188
(see also shares, sections in smb.conf file)
capitalization, 189
comments, 190
configuring winbind, 309
creating and modifying (see SWAT)
disabling oplocks, 58
encrypted passwords and, 55
examples, 187
configuring Samba to use another WINS server, 396
disk share, 201-203
enabling Samba as WINS server, 395
server configuration file, 198-201
setting Samba as domain member server, 400
setting Samba as PDC, 397-399
file structure, 188-191
getting started, 54-60
[global] section, 193
include option, 193
line continuation, 189
location from bundled installation, 42
logon scripts (see logon scripts)
Mac OS X, 509
making significant changes, 190
modifying Samba to be a PDC, 122-125
modifying Samba to be domain member server, 157
name resolution, 219
options, 188, 195-198
access control, 287-288
ACLs, 260-262
browsing, 233-239
connection scripts, 275-277
disk share, 202
dot files, 240
file and directory permissions, 250-253
filesystem, 243-245
internationalization, 343-346
locks and oplocks, 270-274
logging, 210-215
name mangling, 265-267
name resolution, 221-224
networking, 204-208
NIS, 280
password, 303-307
printing, 333-338
server, 199
time synchronization, 341-342
virtual servers, 209
winbind, 317-319
[printers] section, 195
roaming profiles, 138
runtime changes, 190
shares, 125, 194
smbmount program and, 174
smbsh and, 179
testing, 59
variables, 191-193
example of use, 193
table, 192
used at runtime, 140
WINS support, 71
smbcontrol program, 40, 478
smbd daemon, 3, 39, 61, 451
checking with telnet, 369
starting automatically, 61-65
BSD Unix, 61
Darwin and Mac OS X, 64
System V Unix, 61
starting from inetd, 66
starting manually, 61
testing, 66
automatic startup, 65
smbfs filesystem, 161, 174-178
compared to smbclient, 165
installing Samba with support for, 498
mounting automatically, 177
smbgroupedit program, 40, 479
smbmnt program, 40, 174, 480
smbmount program, 40, 175, 481
installing Samba with support for, 498
options, 178
smb.conf file, 174
SMBnegprot request, 23
smbpasswd file, 126, 299-300
creating entries manually, 127
smbpasswd program, 41, 55, 483
smbprint program, 330
smbprint.sysv, 330
SMBSesssetupX command, 24
smbsh program, 41, 161, 179, 485
compared to smbclient, 165
installing Samba with support for, 498
interactive session, 179
smb.conf file, 179
smbspool, 330
smbspool program, 41, 486
smbspool utility, 332
smbstatus program, 8, 41, 487
smbtar program, 41, 487
SMBtconX message, 25
smbumount program, 41, 488
smbutil program, 161, 181
options, 183
testing print configuration, 326
smbwrapper library, 179, 498
socket address option (smb.conf file), 437
socket options option (smb.conf file), 437
source environment option (smb.conf file), 437
source/config.status file, 51
spin locks, 498
SSL
installing Samba to support, 498
options, 438-440
ssl CA certDir option (smb.conf file), 438
ssl CA certFile option (smb.conf file), 438
ssl ciphers option (smb.conf file), 438
ssl client cert option (smb.conf file), 438
ssl client key option (smb.conf file), 438
ssl compatibility option (smb.conf file), 439
ssl hosts option (smb.conf file), 439
ssl hosts resign option (smb.conf file), 439
ssl option (smb.conf file), 438
ssl require clientcert option (smb.conf file), 439
ssl require servercert option (smb.conf file), 439
ssl server cert option (smb.conf file), 439
ssl server key option (smb.conf file), 440
ssl version option (smb.conf file), 440
stat cache option (smb.conf file), 354, 440
stat cache size option (smb.conf file), 354, 440
status option (smb.conf file), 440
status (smb.conf file), 353
Stern, Hal, 383
strace command, 359
strict allocate option (smb.conf file), 440
strict locking option (smb.conf file), 271, 441
strict sync option (smb.conf file), 353, 441
strip dot option (smb.conf file), 353, 441
subnets, workgroups spanning multiple, 34
superuser (root) access, 285
SWAT
enabling, 52
login, 56
specifying where to install files for, 498
using, 56-58
symbolic links, 242
creating before clients are added to network, 147
in file shares, 412
symlinks option (smb.conf file), 242
sync always option (smb.conf file), 353, 441
synchronization, password (see passwords, synchronization)
synchronization problems with WINS servers in Samba, 33, 71
syslog, 211
error logging, installing Samba to support, 498
syslog only option (smb.conf file), 215, 441
syslog option (smb.conf file), 214, 441
syslog.conf file, 212
system group file, 283
system policies, 152-156
Windows Me, 155
System Policy Editor, 152-156
System V Unix
automatically starting Samba daemons, 61
printers, 331

T [ Top ]
%T variable, 192
TCP, troubleshooting, 367
tcpdump program, 360
download, 22
example, 22
TCP/IP
adding to Windows 95/98/Me network, 76
configuring for Windows 2000, 100
configuring for Windows 95/98/Me, 78
configuring for Windows NT, 89
configuring for Windows XP, 110
Windows NT, 88
telnet, checking smbd with, 369
template homedir option (smb.conf file), 314, 319, 441
template shell option (smb.conf file), 314, 319, 442
Temporary Internet Files folder, 143
test utilities, troubleshooting with, 359-362
testing Samba (see testparm program; troubleshooting Samba)
testparm program, 41, 59, 125, 489
testing daemons with, 370
testprns program, 41, 489
Thompson, Robert Bruce, 87
time offset option (smb.conf file), 341, 442
time server option (smb.conf file), 341, 442
time service, 340
configuring in Samba for network use, 124
time synchronization, 339-342
time to live (TTL), 424, 425
timestamp logs option (smb.conf file), 214, 442
timestamps
changing in logs, 407
importance of, 142
time-synchronization options, 341-342
total print jobs option (smb.conf file), 442
trace command, 359
translating between IP addresses or DNS names and NetBIOS names, 182
tree identifier (TID), defined, 22
Tridgell, Andrew, 2, 360
troubleshooting Samba, 355-393
browsing, 377-383
fault tree, 362-391
hostnames, 384
long and short, 386
localhost issues, 388
low-level IP, 362-367
name services, 383-388
NetBIOS names, 390
network addresses, 388-390
server daemons, 368-371
checking smbd with telnet, 369
looking for daemon processes with ps, 368
looking for daemons bound to ports, 369
testing daemons with testparm, 370
tracking daemon startup, 368
SMB connections, 371-377
TCP, 367
testing
browsing the server from the client, 382
browsing with smbclient, 377
client browsing with net view, 381
clients with nmblookup, 380
connections with net use, 374
connections with ping, 364
connections with smbclient, 373
connections with Windows Explorer, 376
locally with smbclient, 372
name services with ping, 363
network software with ping, 363
network with nmblookup, 381
networking hardware with ping, 364
servers with nmblookup, 379
tools, 355
log files, 356-359
ping, 363-367
test utilities, 359-362
unusual delays, 387
truss command, 359
trust relationships, 33
trusted domains, 403
tusc command, 359
tutorials, Samba, 45

U [ Top ]
%U variable, 192, 283
%u variable, 140, 144, 192, 283
umasks, 247
UNC (Universal Naming Convention) defined, 6
Unicode, 456
uniform resource locators (see URLs)
Unix
ACLs, 259
CIFS extensions, 37
configuring clients to access shared resources, 161-186
file permissions, 245-253
versus ACLs, 31
permission bits summary, 247
viewing processes, 8
unix extensions option (smb.conf file), 442
unix password sync option (smb.conf file), 300, 304, 442
unix2dos program, 139, 170
update encrypted option (smb.conf file), 306, 443
upgrading Samba, 50, 51
URLs, defined, 6
use client driver option (smb.conf file), 443
use mmap option (smb.conf file), 443
use rhosts option (smb.conf file), 307, 443
use sendfile option (smb.conf file), 443
user accounting, 498
USER environment variable, 167
user ID (UID), 31
user option (smb.conf file), 443
USER.DAT file, 141
user-level security, 290, 294
for Windows 95/98/Me, 129
versus share-level security, 162
username level option (smb.conf file), 290, 444
username map option (smb.conf file), 289, 444
username option (smb.conf file), 293, 443
users
account files in Windows, 29
adding new, 402
adding to
Windows 2000, 104
Windows 95/98/Me, 83
Windows NT, 95
Windows XP, 115
debugging particular, 407
deleting account automatically, 409
group membership, overriding, 413
multiple, adding in Unix, 284-285
single, adding in Unix, 282-284
specifying read-only access, 433
users option (smb.conf file), 444
/usr/local/etc/nsmb.conf file, 181
utmp directory option (smb.conf file), 444
utmp file, 498
utmp option (smb.conf file), 444

V [ Top ]
%v variable, 192
valid chars option (smb.conf file), 346, 444
valid users option (smb.conf file), 282, 287, 444
variables used at runtime in smb.conf file (see smb.conf file, variables)
veto files option (smb.conf file), 241, 244, 445
veto oplock files option (smb.conf file), 269, 270, 273, 445
vetoing files, 240-242
vfs object option (smb.conf file), 445
vfs options option (smb.conf file), 445
vi text editor, 139
vim text editor, 139
virtual servers, 208
configuration options, 209
volume option (smb.conf file), 203, 445
VPN (virtual private network), 498

W [ Top ]
wbinfo program, 41, 489
wide links option (smb.conf file), 242, 244, 445
winbind, 37
authentication with, 307-319
configuration options, 317-319
configuring in smb.conf file, 309
installing, 308
installing Samba to support, 499
RID mapping file, 310
verifying it's working properly, 310-313
winbind cache time option (smb.conf file), 319, 445
winbind enum groups option (smb.conf file), 446
winbind enum users option (smb.conf file), 445
winbind gid option (smb.conf file), 318, 446
winbind separator option (smb.conf file), 317, 446
winbind uid option (smb.conf file), 318, 446
winbindd daemon, 39, 41, 454
Windows
components, 69
configuring clients to access shared resources, 68-119
domain with a local master and local backup browser (diagram), 33
.ini files, 187
networking concepts, 68-76
operating systems and password format defaults, 296
printers, setting up, 8
registry settings and passwords, 74
user account files, 29
Windows 2000
ACLs, 253-262
adding users, 104
bindings, 100
client connecting to Samba server, 107
computer names, 103
configuring for roaming profiles, 148
configuring TCP/IP, 100
DNS configuration, 101
domain logons, 133-135
identify node type, ipconfig /all command, 13
IP addresses, 100
LMHOSTS file, 102
networking components, 99
registry file, 141
security model (see ACLs)
servers
operating in native mode, 34
PDC emulation mode, 34
setting path to directory of roaming profiles, 420
setting up, 98-108
sharing files, 163
setting permissions, 165
WINS server, 101
workgroups, 103
Windows 95/98/Me
accessing Samba server, 84
adding TCP/IP, 76
authentication, 28
bindings, 80
configuring for roaming profiles, 147
configuring TCP/IP, 78
DNS configuration, 79
domain logons, 128-131
identify node type, 13
IP addresses, 78
LMHOSTS file, 80
NetBIOS, 80
registry file, 141
security model, 253
setting computer name, 81
setting up, 76-87
setting workgroup, 81
sharing files, 162
system policies, 155
user-level security for, 129
username and password, 83
WINS configuration, 78
(see also Windows)
Windows Explorer, testing connections with, 376
Windows Internet Name Service (see WINS)
Windows Internet Naming Service (WINS) Architecture and Capacity Planning, 218
Windows Messenger Service, 346-348
Windows NT
ACLs, 253-262
adding a user, 95
basic configuration, 87
bindings, 93
computer names, 93
configuring for roaming profiles, 148
configuring TCP/IP, 89
connecting to a Samba server, 96
DNS configuration, 92
domains, 120-160
logons, 131-133
overview, 29-34
identify node type, ipconfig /all command, 13
installing Workstation service, 89
IP addresses, 90
LMHOSTS file, 92
registry file, 141
security model, 30
security model (see ACLs)
setting path to directory of roaming profiles, 420
setting up, 87-98
sharing files, 163
setting permissions, 165
TCP/IP installing, 88
WINS server, 90
workgroups, 93
Windows NT domain options, 158
Windows Time Service, 340
Windows Workgroups (see workgroups)
Windows XP
ACLs, 253-262
adding users, 115
bindings, 110
computer names, 113
configuring for roaming profiles, 148
configuring TCP/IP, 110
connecting to Samba server, 116
DNS configuration, 111
domain logons, 135-137
Home version, problems in a domain environment, 135
identify node type, ipconfig /all command, 13
IP addresses, 111
LMHOSTS file, 112
networking components, 109
registry file, 141
security model (see ACLs)
setting path to directory of roaming profiles, 420
setting up, 109-119
sharing files, 163
setting permissions, 165
WINS server, 112
workgroups, 113
winipcfg command (Windows 95/98/Me), 13
WinPopup tool, 346
.win_profile directory, 144
example, 145
WINS, 32
client and a server interaction, 218
configuration, Windows 95/98/Me, 78
proxy, configuring, 221
replication, 38
support, smb.conf file, 71
wins hook option (smb.conf file), 223, 446
wins proxy option (smb.conf file), 221, 222, 446
wins server option (smb.conf file), 220, 222, 446
WINS servers
configuring a DNS proxy, 220
configuring Samba to use another, 220
configuration file example, 396
enabling Samba as, configuration file example, 395
multiple, 32
primary (see primary WINS server)
setting Samba as, 220
synchronization problems in Samba, 71
Windows 2000, 101
Windows NT, 90
Windows XP, 112
wins support option (smb.conf file), 222, 447
wins support parameter (smb.conf file), 220
with feature option, configuring Samba, 47
--with-acl-support (configure script option), 495
--with-afs (configure script option), 495
--with-automount (configure script option), 495
--with-codepagedir (configure script option), 495
--with-configdir (configure script option), 495
--with-dce-dfs (configure script option), 495
--with-fhs (configure script option), 495
--with-included-popt (configure script option), 495
--with-krb4 (configure script option), 495
--with-krb5 (configure script option), 495
--with-ldapsam (configure script option), 496
--with-libiconv (configure script option), 496
--with-libsmbclient (configure script option), 496
--with-lockdir (configure script option), 496
--with-logfilebase (configure script option), 496
--with-manpages-langs (configure script option), 496
--with-msdfs (configure script option), 47, 496
--with-nisplus-home (configure script option), 496
--with-nisplussam (configure script option), 496
without feature option, configuring Samba, 47
--with-pam (configure script option), 497
--with-pam_smbpass (configure script option), 497
--with-piddir (configure script option), 497
--with-privatedir (configure script option), 497
--with-profiling-data (configure script option), 497
--with-quotas (configure script option), 497
--with-readline (configure script option), 497
--with-sendfile-support (configure script option), 497
--with-smbmount (configure script option), 47, 498
--with-smbwrapper (configure script option), 47, 498
--with-spinlocks (configure script option), 498
--with-ssl (configure script option), 498
--with-sslinc (configure script option), 498
--with-ssllib (configure script option), 498
--with-swatdir (configure script option), 498
--with-syslog (configure script option), 498
--with-tdbsam (configure script option), 498
--with-utmp (configure script option), 498
--with-winbind (configure script option), 499
workgroup option (smb.conf file), 447
workgroup parameter (smb.conf file), 200
workgroups, 26-29
adding first Samba server to, 396
defined, 15
problems related to, 29
spanning multiple subnets, 34
Windows 2000, 103
Windows 95/98/Me, 81
Windows NT, 93
Windows XP, 113
Workstation service, installing on Windows NT, 89
writable option (smb.conf file), 203, 447
write cache size option (smb.conf file), 447
write list option (smb.conf file), 286, 288, 447
write ok option (smb.conf file), 203, 447
write raw option (smb.conf file), 448
writeable option (smb.conf file), 203, 447

X [ Top ]
XFS filesystem, 37
xinetd daemon, 53

#### TOC